logo
Loading...

Tensorflow_keras 安裝失敗 - Cupoy

完成安裝後執行import tensorflowimport keras出現error該如何解決?I...

tensorflow,keras

Tensorflow_keras 安裝失敗

2020/06/08 06:33 AM
機器學習新手論壇
JESSYLIN
觀看數:0
回答數:3
收藏數:0
tensorflow
keras

完成安裝後執行

import tensorflow

import keras


出現error

該如何解決?


ImportError                               Traceback (most recent call last)
D:\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>
    57
---> 58   from tensorflow.python.pywrap_tensorflow_internal import *
    59

D:\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in <module>
    27             return _mod
---> 28     _pywrap_tensorflow_internal = swig_import_helper()
    29     del swig_import_helper

D:\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()
    23             try:
---> 24                 _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
    25             finally:

D:\Anaconda3\lib\imp.py in load_module(name, file, filename, details)
   241         else:
--> 242             return load_dynamic(name, filename, file)
   243     elif type_ == PKG_DIRECTORY:

D:\Anaconda3\lib\imp.py in load_dynamic(name, path, file)
   341             name=name, loader=loader, origin=path)
--> 342         return _load(spec)
   343

ImportError: DLL load failed: 找不到指定的模組。

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
<ipython-input-4-c79ed1f6e965> in <module>
----> 1 import tensorflow
     2 import keras

D:\Anaconda3\lib\site-packages\tensorflow\__init__.py in <module>
    39 import sys as _sys
    40
---> 41 from tensorflow.python.tools import module_util as _module_util
    42 from tensorflow.python.util.lazy_loader import LazyLoader as _LazyLoader
    43

D:\Anaconda3\lib\site-packages\tensorflow\python\__init__.py in <module>
    48 import numpy as np
    49
---> 50 from tensorflow.python import pywrap_tensorflow
    51
    52 # Protocol buffers

D:\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>
    67 for some common reasons and solutions.  Include the entire stack trace
    68 above this error message when asking for help.""" % traceback.format_exc()
---> 69   raise ImportError(msg)
    70
    71 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-long

ImportError: Traceback (most recent call last):
 File "D:\Anaconda3\lib\site-packages\tensorflow\python\pywrap_
tensorflow.py", line 58, in <module>
   from tensorflow.python.pywrap_tensorflow_internal import *
 File "D:\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_
internal.py", line 28, in <module>
   _pywrap_tensorflow_internal = swig_import_helper()
 File "D:\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_
internal.py", line 24, in swig_import_helper
   _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
 File "D:\Anaconda3\lib\
imp.py", line 242, in load_module
   return load_dynamic(name, filename, file)
 File "D:\Anaconda3\lib\
imp.py", line 342, in load_dynamic
   return _load(spec)
ImportError: DLL load failed: 找不到指定的模組。


Failed to load the native TensorFlow runtime.

See
https://www.tensorflow.org/install/errors

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.